<?php

class JID {
  public $name;
  public $domain;
  public $resource;
  
  function __construct($jid = '') { 
    $this->Set($jid);
  }
  
  function Set($jid = '') {
    global $ini;
    list($this->name, $this->domain, $this->resource) = sscanf($jid, '%[^@]@%[^/]/%s');
    if(!empty($this->resource))
      $this->resource = '/' . $this->resource;
    if(empty($this->domain))
      $this->domain = $ini['host'];
  }

  function Serialize($bare = false) {
    $resource = ($bare || empty($this->resource)) ? '' : ('/' . $this->resource);
    return "{$this->name}@{$this->domain}{$resource}";
  }
}
