<?php

function xmpp_muc_disco_identities($s) {
  if(!$s->authorized)
    return;

  return array('category' => 'conference',
      'name' => 'Drupal XMPP MUC',
      'type' => 'text');
}

function xmpp_muc_disco_features($s) {
  if(!$s->authorized)
    return;
    
  return array("http://jabber.org/protocol/muc/");
}

function xmpp_muc_xml() {
  $funcs = array();

  $funcs['xmpp_muc_room_list'] = array(
    'auth' => true,
    'filters' => array(
      'tag' => 'iq',
      'options' => array(
        'type' => 'get',
      ),
      'children' => array(
        'query' => array(
          'tag' => 'query',
          'options' => array(
            'xmlns' => 'http://jabber.org/protocol/disco#items',
          ),
        ),
      ),
    ),
  );

  return $funcs;
}

function xmpp_muc_room_list($node, $s) {
}

