<?php

class Session {
  public $xml;
  public $sock;
  private $id = 1;
  public $jid;
  public $presence;
  public $user = NULL;
  private $priority = 0;
  public $endrequest = false;

  function __construct($sock) {
    $this->sock = $sock;
    $this->xml = new XmlStream();
    modules_event("new_session", $this);
  }

  function Data($data) {
    modules_event("raw_data", $data);
    
    $jid = "Unnamed session";
    if($this->jid)
      $jid = $this->jid->Serialize();

    echo "Data from $jid: $data\n";
    $this->xml->Parse($data);
  }

  function Send($xml) {
    if(!$this->sock)
      return;
      
    $jid = "Unnamed session";
    if($this->jid)
      $jid = $this->jid->Serialize();

    echo "Sending to $jid: $xml\n";
    
    modules_event("send_data", $this, $xml);
    fwrite($this->sock, $xml);
  }

  function Close() {
    $this->endrequest = true;
    modules_event("end_session", $this);
  }

  function Closing() {
    return $this->endrequest;
  }

  function Id() {
    return $this->id++;
  }
}

