<?php

function xmpp_tls_features($s) {
  if($s->tls) //Don't add twice.
    return;
    
  $starttls = new XmlNode('starttls', array('xmlns' => 'urn_ietf:params:xml:ns:xmpp-tls'));
  $starttls->AddChild(new XmlNode('required'));

  return array($starttls);
}

function xmpp_tls_xml() {
  global $ini;
  return array(
    'starttls' => array(
      'filters' => array(
        'tag' => 'starttls',
        'options' => array(
          'xmlns' => 'urn:ietf:params:xml:ns:xmpp-tls',
        ),
      ),
    ),
  );
}

function starttls($node, $s) {
  global $sock;
  $proceed = new XmlNode('proceed', array('xmlns' => 'urn_ietf:params:xml_ns:xmpp-tls'));

  $s->Send($proceed->Serialize());

  while(($res = stream_socket_enable_crypto($s->sock, true, STREAM_CRYPTO_METHOD_SSLv23_SERVER)) === 0);
  if($res)
    $s->tls = true;
  else
    $s->Close();
}

